%define name    wavlevel 
%define version 0.2
%define release 4mdk

Summary: Wavlevel and wavfade WAV file tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: %name-makefile.patch.bz2
URL: http://www.uni-karlsruhe.de/~ualy/software/wavlevel/wavlevel.html
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
wavlevel adjusts the volume of WAV files. Its strength is that you can specify
a set of files and wavlevel will adjust their average volume to each other
(there are several algorithms offered) while maintaining the maximum possible
dynamics.

You can use wavfade to fade songs in and out. Each fading sequence is
specified by its duration and a start (fade-in) or end level (fade-out).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%patch -p1

%build
# fix Makefile
perl -pi -e "s|^BININSTALL=/usr/local|BININSTALL=\\$\(prefix)||g;" Makefile
perl -pi -e "s|^CFLAGS=|CFLAGS=\\$\(OTHER_CFLAGS) ||g;" Makefile
make OTHER_CFLAGS="$RPM_OPT_FLAGS" all

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make prefix=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changelog* INSTALL README *.png *.html
%{_bindir}/*

%changelog
* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 0.2-4mdk
- rebuild

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-3mdk 
- fix makefile

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- rebuild

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-1mdk
- updated to 0.2 by rufus t firefly <rufus.t.firefly@linux-mandrake.com>

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- used srpm from rufus t firefly :
	Tue Sep 26 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
	v0.1 (initial packaging)
	bz2 archive
